org.apache.lucene.luke.app.desktop.util

## Class TextAreaPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - org.apache.lucene.luke.app.desktop.util.TextAreaPrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public final class TextAreaPrintStream
    extends PrintStream

PrintStream for text areas

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`TextAreaPrintStream(JTextArea textArea)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()`

### Methods inherited from class java.io.PrintStream

`append, append, append, checkError, clearError, close, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextAreaPrintStream

    public TextAreaPrintStream(JTextArea textArea)
                        throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### Method Detail

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `PrintStream`